
/***************************************
* FUNCTION f_getCellaByPos
*
* fornisce la prima cella associata ad una posizione "logica" di magazzino
*
* Steamware, S.E.L.
* mod: 2011.05.20
*
****************************************/
CREATE FUNCTION [dbo].[f_getCellaByPos] (@posizione VARCHAR(255))
RETURNS INT AS  
BEGIN

DECLARE @answ AS INT

	SET @answ = (
				SELECT TOP 1 ISNULL(IdxCella,0) FROM Celle
					WHERE IdxBlocco IN ( SELECT IdxBlocco FROM Blocchi WHERE CodMag = @posizione )
					ORDER BY IdxCella -- regola: si deve creare per prima la cella "TERRA"
				)

RETURN @answ

END
